<div class="container mt-3">
  <div class="card">
    <div class="card-header">
      <ngb-tabset justify="start" *ngIf="loggedInUser?.role == 'ROLE_STUDENT'; else notStudent">
        <ngb-tab title="Opsti Podaci">
          <ng-template ngbTabContent>
            <div class="card-body">
              <form>
                <div class="form-group">
                  <label for="ime">
                    <b>Ime</b>
                  </label>
                  <input class="form-control" name="ime" readonly value="{{loggedInUser?.ime}}">
                </div>
                <div class="form-group">
                  <label for="prezime">
                    <b>Prezime</b>
                  </label>
                  <input class="form-control" name="prezime" readonly value="{{loggedInUser?.prezime}}">
                </div>
                <div class="form-group">
                  <label for="email">
                    <b>Email</b>
                  </label>
                  <input class="form-control" name="email" readonly value="{{loggedInUser?.email}}">
                </div>
                <div class="form-group">
                  <label for="kIme">
                    <b>Korisnicko Ime</b>
                  </label>
                  <input class="form-control" name="kIme" readonly value="{{loggedInUser?.korisnickoIme}}">
                </div>
              </form>
            </div>
          </ng-template>
        </ngb-tab>
        <ngb-tab title="Detalji o Studentu">
          <ng-template ngbTabContent>
            <form>
              <div class="row">
                <div class="col-6">
                  <div class="form-group">
                    <label for="datumRodjenja">
                      <b>Datum rodjenja</b>
                    </label>
                    <input class="form-control" name="datumRodjenja" readonly value="{{loggedInUser?.datumRodjenja | date: 'dd. MMMM yyyy'}}">
                  </div>
                  <div class="form-group">
                    <label for="drzavljanstvo">
                      <b>Drzavljanstvo</b>
                    </label>
                    <input class="form-control" name="drzavljanstvo" readonly value="{{loggedInUser?.drzavljanstvo}}">
                  </div>
                  <div class="form-group">
                    <label for="adresa">
                      <b>Adresa</b>
                    </label>
                    <input class="form-control" name="kIme" readonly value="{{loggedInUser?.adresaStanovanja}}">
                  </div>
                  <div class="form-group">
                    <label for="jmbg">
                      <b>Jmbg</b>
                    </label>
                    <input class="form-control" name="jmbg" readonly value="{{loggedInUser?.jmbg}}">
                  </div>
                </div>
                <div class="col-6">
                  <div class="form-group">
                    <label for="datumRodjenja">
                      <b>Broj Indeksa</b>
                    </label>
                    <input class="form-control" name="datumRodjenja" readonly value="{{loggedInUser?.brojIndeksa}}">
                  </div>
                  <div class="form-group">
                    <label for="godinaUpisa">
                      <b>Godina Upisa</b>
                    </label>
                    <input class="form-control" name="godinaUpisa" readonly value="{{loggedInUser?.godinaUpisa}}">
                  </div>
                  <div class="form-group">
                    <label for="godinaStudije">
                      <b>Godina Studije</b>
                    </label>
                    <input class="form-control" name="jmbg" readonly value="{{loggedInUser?.godinaStudije}}">
                  </div>
                  <div class="form-group">
                    <label for="smer">
                      <b>Smer</b>
                    </label>
                    <input class="form-control" name="smer" readonly [value]="smerStudenta">
                  </div>
                </div>
              </div>
            </form>
          </ng-template>
        </ngb-tab>
      </ngb-tabset>
      <ng-template #notStudent>
        <form>
          <div class="form-group">
            <label for="ime">
              <b>Ime</b>
            </label>
            <input class="form-control" name="ime" readonly value="{{loggedInUser?.ime}}">
          </div>
          <div class="form-group">
            <label for="prezime">
              <b>Prezime</b>
            </label>
            <input class="form-control" name="prezime" readonly value="{{loggedInUser?.prezime}}">
          </div>
          <div class="form-group">
            <label for="email">
              <b>Email</b>
            </label>
            <input class="form-control" name="email" readonly value="{{loggedInUser?.email}}">
          </div>
          <div class="form-group">
            <label for="kIme">
              <b>Korisnicko Ime</b>
            </label>
            <input class="form-control" name="kIme" readonly value="{{loggedInUser?.korisnickoIme}}">
          </div>
          <div class="form-group" *ngIf="loggedInUser?.role == 'ROLE_NASTAVNIK'">
            <label for="kIme">
              <b>Zvanje</b>
            </label>
            <input class="form-control" name="kIme" readonly value="{{loggedInUser?.zvanje}}">
          </div>

        </form>
      </ng-template>

    </div>
    <div class="card-footer" >
      <div class="row" *ngIf="loggedInUser?.role != 'ROLE_ADMIN'">
        <button class="btn btn-warning col-2 text-light" (click)="open(content)">Promena Lozinke</button>
        <div class="col-8"></div>
        <button class="btn btn-info col-2" (click)="onBack()">Back</button>
      </div>
      <div class="row" *ngIf="loggedInUser?.role == 'ROLE_ADMIN'">
        <div class="col-4">
            <button class="btn btn-warning text-light" (click)="open(content)">Promena Lozinke</button>
            <button class="btn btn-success" (click)="open(adminUpdate);onAdminUpdate()">Update</button>
        </div>
        
        <div class="col-7"></div>
        <button class="btn btn-info col-1" (click)="onBack()">Back</button>
      </div>
    </div>
  </div>

  <ng-template #content let-c="close" let-d="dismiss">
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Promena Lozinke</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form #promenaLozinke="ngForm">
          <div class="form-group">
            <label for="staraLozinka">
              <b>Stara Sifra</b>
            </label>
            <input type="password" class="form-control"  placeholder="Unesite staru sifru" name="staraLozinka" #staraLozinka="ngModel" required [(ngModel)]="passwordUpdate.oldPassword" >
            <label for="novaSifra">
              <b>Nova Sifra</b>
            </label>
            <input type="password" class="form-control" placeholder="Unesite novu sifru" name="novaSifra" #novaSifra="ngModel" required [(ngModel)]="passwordUpdate.newPassword">
            <label for="novaSifra">
                <b>Ponovite Novu Sifru</b>
              </label>
              <input type="password" class="form-control" placeholder="Ponovite novu sifru" name="novaSifraPonovljena" required [(ngModel)]="newPassRepeated">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <div class="row">
          <div class="col-6">
            <button type="button" class="btn btn-success" (click)="c();potvrdaIzmene()" [disabled]="promenaLozinke.invalid || newPassRepeated != passwordUpdate.newPassword">Potvrdi</button>
          </div>
          <div class="col-6">
            <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
          </div>
        </div>
  
      </div>
    </ng-template>
</div>


<ng-template #adminUpdate let-c="close" let-d="dismiss">
  <div class="modal-header bg-warning">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label for="ime"><b>Ime</b></label>
        <input type="text" name="ime" class="form-control" [(ngModel)]="adminCopy.ime">
        <label for="prezime"><b>Prezime</b></label>
        <input type="text" name="prezime" class="form-control" [(ngModel)]="adminCopy.prezime">
        <label for="email"><b>Email</b></label>
        <input type="email" name="email" class="form-control" [(ngModel)]="adminCopy.email">
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="updateAdminConfirm();c()">Update</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>







